[ooo-build-commit] .: bin/unpack patches/dev300
Tor Lillqvist
tml at kemper.freedesktop.org
Sun May 23 23:54:19 PDT 2010
bin/unpack | 5 +++--
patches/dev300/novell-win32-agfa-monotype-fonts.diff | 9 ++++++---
2 files changed, 9 insertions(+), 5 deletions(-)
New commits:
commit 2867fd547c1f8c30d01f3abdb94bf5c0d39d1b40
Author: Tor Lillqvist <tlillqvist at novell.com>
Date: Mon May 24 09:51:25 2010 +0300
Make the Agfa Monotype font crack work again
* patches/dev300/novell-win32-agfa-monotype-fonts.diff: Changes needed
for dev300-m77: Tarballs now need to have MD5 sums in their names.
* bin/unpack: When copying the tarball add the MD5 sum prefix.
diff --git a/bin/unpack b/bin/unpack
index 944cc9f..096ce4f 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -570,12 +570,13 @@ if test "z$BUILD_WIN32" != "z"; then
esac
if test -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE; then
- if test -f $OOBUILDDIR/agfa_monotype_fonts/download/$AGFA_MONOTYPE_FONTS_SOURCE; then
+ agfa_md5=`md5sum $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE | cut -d' ' -f1`
+ if test -f $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz; then
echo "Already have the Agfa Monotype fonts"
else
$echo_n "Installing Agfa Monotype fonts $echo_c"
mkdir -p $OOBUILDDIR/agfa_monotype_fonts/download
- $GNUCP -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download || exit 1
+ $GNUCP -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz || exit 1
echo "done"
fi
if grep 'Agfa Monotype' $OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html; then
diff --git a/patches/dev300/novell-win32-agfa-monotype-fonts.diff b/patches/dev300/novell-win32-agfa-monotype-fonts.diff
index 29d3fda..46adba1 100644
--- a/patches/dev300/novell-win32-agfa-monotype-fonts.diff
+++ b/patches/dev300/novell-win32-agfa-monotype-fonts.diff
@@ -20,7 +20,7 @@ new file mode 100644
index 0000000..8c1f1a6
--- /dev/null
+++ agfa_monotype_fonts/makefile.mk
-@@ -0,0 +1,78 @@
+@@ -0,0 +1,81 @@
+#*************************************************************************
+#
+# OpenOffice.org - a multi-platform office productivity suite
@@ -68,6 +68,8 @@ index 0000000..8c1f1a6
+# --- Files --------------------------------------------------------
+
+TARFILE_NAME=agfa-monotype-fonts
++TARFILE_MD5=9bad41ce5c3fd069b87f28aeac70314d
++TARFILE_LOCATION=../../../download
+TARFILE_ROOTDIR=agfa-monotype-fonts
+
+PATCH_FILE_NAME=
@@ -97,8 +99,9 @@ index 0000000..8c1f1a6
+# patch at configure level), we remove the entire package directory if a patch
+# is newer.
+$(MISC)$/remove_build.flag : $(PATCH_FILE_NAME)
-+ $(REMOVE_PACKAGE_COMMAND)
-+ +$(TOUCH) $(MISC)$/remove_build.flag
++ pwd
++ $(REMOVE_PACKAGE_COMMAND)
++ +$(TOUCH) $(MISC)$/remove_build.flag
diff --git agfa_monotype_fonts/prj/build.lst agfa_monotype_fonts/prj/build.lst
new file mode 100644
index 0000000..5a21934
More information about the ooo-build-commit
mailing list